ulm         15/03/15 18:03:52

  Modified:             opendbx-1.4.6.ebuild metadata.xml ChangeLog
                        opendbx-1.4.5.ebuild opendbx-1.5.0.ebuild
  Log:
  Add conditional bindist restriction and remove bindist USE flag, bug 541488.
  
  (Portage version: 2.2.18/cvs/Linux x86_64, signed Manifest commit with key 
9433907D693FB5B8!)

Revision  Changes    Path
1.6                  dev-db/opendbx/opendbx-1.4.6.ebuild

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-db/opendbx/opendbx-1.4.6.ebuild?rev=1.6&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-db/opendbx/opendbx-1.4.6.ebuild?rev=1.6&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-db/opendbx/opendbx-1.4.6.ebuild?r1=1.5&r2=1.6

Index: opendbx-1.4.6.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-db/opendbx/opendbx-1.4.6.ebuild,v
retrieving revision 1.5
retrieving revision 1.6
diff -u -r1.5 -r1.6
--- opendbx-1.4.6.ebuild        28 Dec 2014 15:06:33 -0000      1.5
+++ opendbx-1.4.6.ebuild        15 Mar 2015 18:03:52 -0000      1.6
@@ -1,6 +1,6 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2015 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-db/opendbx/opendbx-1.4.6.ebuild,v 1.5 
2014/12/28 15:06:33 titanofold Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-db/opendbx/opendbx-1.4.6.ebuild,v 1.6 
2015/03/15 18:03:52 ulm Exp $
 
 EAPI="5"
 
@@ -13,7 +13,8 @@
 LICENSE="LGPL-2.1"
 SLOT="0"
 KEYWORDS="~amd64 ~x86"
-IUSE="bindist firebird +mysql oracle postgres sqlite sqlite3"
+IUSE="firebird +mysql oracle postgres sqlite sqlite3"
+RESTRICT="firebird? ( bindist )"
 
 DEPEND="mysql? ( virtual/mysql )
        postgres? ( dev-db/postgresql )
@@ -23,8 +24,6 @@
        firebird? ( dev-db/firebird )"
 RDEPEND="${DEPEND}"
 
-REQUIRED_USE="bindist? ( !firebird )"
-
 pkg_setup() {
        if ! ( use firebird || use mysql || use oracle || use postgres || use 
sqlite || use sqlite3 )
        then
@@ -45,7 +44,7 @@
 src_configure() {
        local backends=""
 
-       use !bindist && use firebird && backends="${backends} firebird"
+       use firebird && backends="${backends} firebird"
        use mysql && backends="${backends} mysql"
        use oracle && backends="${backends} oracle"
        use postgres && backends="${backends} pgsql"



1.7                  dev-db/opendbx/metadata.xml

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-db/opendbx/metadata.xml?rev=1.7&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-db/opendbx/metadata.xml?rev=1.7&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-db/opendbx/metadata.xml?r1=1.6&r2=1.7

Index: metadata.xml
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-db/opendbx/metadata.xml,v
retrieving revision 1.6
retrieving revision 1.7
diff -u -r1.6 -r1.7
--- metadata.xml        15 Dec 2014 18:56:52 -0000      1.6
+++ metadata.xml        15 Mar 2015 18:03:52 -0000      1.7
@@ -5,8 +5,4 @@
        <email>[email protected]</email>
        <name>Alice Ferrazzi</name>
 </maintainer>
-<use>
-       <flag name="bindist">Disable support for <pkg>dev-db/firebird</pkg> 
database
-               which is not GPL compatible.</flag>
-</use>
 </pkgmetadata>



1.43                 dev-db/opendbx/ChangeLog

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-db/opendbx/ChangeLog?rev=1.43&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-db/opendbx/ChangeLog?rev=1.43&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-db/opendbx/ChangeLog?r1=1.42&r2=1.43

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-db/opendbx/ChangeLog,v
retrieving revision 1.42
retrieving revision 1.43
diff -u -r1.42 -r1.43
--- ChangeLog   28 Dec 2014 15:06:33 -0000      1.42
+++ ChangeLog   15 Mar 2015 18:03:52 -0000      1.43
@@ -1,6 +1,10 @@
 # ChangeLog for dev-db/opendbx
-# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/dev-db/opendbx/ChangeLog,v 1.42 2014/12/28 
15:06:33 titanofold Exp $
+# Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/dev-db/opendbx/ChangeLog,v 1.43 2015/03/15 
18:03:52 ulm Exp $
+
+  15 Mar 2015; Ulrich Müller <[email protected]> opendbx-1.4.5.ebuild,
+  opendbx-1.4.6.ebuild, opendbx-1.5.0.ebuild, metadata.xml:
+  Add conditional bindist restriction and remove bindist USE flag, bug 541488.
 
   28 Dec 2014; Aaron W. Swenson <[email protected]> opendbx-1.4.5.ebuild,
   opendbx-1.4.6.ebuild, opendbx-1.5.0.ebuild:



1.9                  dev-db/opendbx/opendbx-1.4.5.ebuild

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-db/opendbx/opendbx-1.4.5.ebuild?rev=1.9&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-db/opendbx/opendbx-1.4.5.ebuild?rev=1.9&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-db/opendbx/opendbx-1.4.5.ebuild?r1=1.8&r2=1.9

Index: opendbx-1.4.5.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-db/opendbx/opendbx-1.4.5.ebuild,v
retrieving revision 1.8
retrieving revision 1.9
diff -u -r1.8 -r1.9
--- opendbx-1.4.5.ebuild        28 Dec 2014 15:06:33 -0000      1.8
+++ opendbx-1.4.5.ebuild        15 Mar 2015 18:03:52 -0000      1.9
@@ -1,6 +1,6 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2015 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-db/opendbx/opendbx-1.4.5.ebuild,v 1.8 
2014/12/28 15:06:33 titanofold Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-db/opendbx/opendbx-1.4.5.ebuild,v 1.9 
2015/03/15 18:03:52 ulm Exp $
 
 EAPI="2"
 
@@ -13,18 +13,19 @@
 LICENSE="LGPL-2.1"
 SLOT="0"
 KEYWORDS="amd64 x86"
-IUSE="bindist firebird +mysql oracle postgres sqlite sqlite3"
+IUSE="firebird +mysql oracle postgres sqlite sqlite3"
+RESTRICT="firebird? ( bindist )"
 
 DEPEND="mysql? ( virtual/mysql )
        postgres? ( dev-db/postgresql )
        sqlite? ( <dev-db/sqlite-3 )
        sqlite3? ( =dev-db/sqlite-3* )
        oracle? ( dev-db/oracle-instantclient-basic )
-       !bindist? ( firebird? ( dev-db/firebird ) )"
+       firebird? ( dev-db/firebird )"
 RDEPEND="${DEPEND}"
 
 pkg_setup() {
-       if ! ( use !bindist && use firebird || use mysql || use oracle || use 
postgres || use sqlite || use sqlite3 )
+       if ! ( use firebird || use mysql || use oracle || use postgres || use 
sqlite || use sqlite3 )
        then
                ewarn "You should enable at least one of the following USE 
flags:"
                ewarn "firebird, mysql, oracle, postgres, sqlite or sqlite3"
@@ -43,7 +44,7 @@
 src_configure() {
        local backends=""
 
-       use !bindist && use firebird && backends="${backends} firebird"
+       use firebird && backends="${backends} firebird"
        use mysql && backends="${backends} mysql"
        use oracle && backends="${backends} oracle"
        use postgres && backends="${backends} pgsql"



1.6                  dev-db/opendbx/opendbx-1.5.0.ebuild

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-db/opendbx/opendbx-1.5.0.ebuild?rev=1.6&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-db/opendbx/opendbx-1.5.0.ebuild?rev=1.6&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-db/opendbx/opendbx-1.5.0.ebuild?r1=1.5&r2=1.6

Index: opendbx-1.5.0.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-db/opendbx/opendbx-1.5.0.ebuild,v
retrieving revision 1.5
retrieving revision 1.6
diff -u -r1.5 -r1.6
--- opendbx-1.5.0.ebuild        28 Dec 2014 15:06:33 -0000      1.5
+++ opendbx-1.5.0.ebuild        15 Mar 2015 18:03:52 -0000      1.6
@@ -1,6 +1,6 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2015 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-db/opendbx/opendbx-1.5.0.ebuild,v 1.5 
2014/12/28 15:06:33 titanofold Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-db/opendbx/opendbx-1.5.0.ebuild,v 1.6 
2015/03/15 18:03:52 ulm Exp $
 
 EAPI="5"
 
@@ -16,7 +16,8 @@
 LICENSE="LGPL-2.1"
 SLOT="0"
 KEYWORDS="~x64-solaris"
-IUSE="bindist firebird +mysql oracle postgres sqlite sqlite3"
+IUSE="firebird +mysql oracle postgres sqlite sqlite3"
+RESTRICT="firebird? ( bindist )"
 
 DEPEND="mysql? ( virtual/mysql )
        postgres? ( dev-db/postgresql )
@@ -26,8 +27,6 @@
        firebird? ( dev-db/firebird )"
 RDEPEND="${DEPEND}"
 
-REQUIRED_USE="bindist? ( !firebird )"
-
 S="${WORKDIR}"/${MY_P}
 
 pkg_setup() {
@@ -50,7 +49,7 @@
 src_configure() {
        local backends=""
 
-       use !bindist && use firebird && backends="${backends} firebird"
+       use firebird && backends="${backends} firebird"
        use mysql && backends="${backends} mysql"
        use oracle && backends="${backends} oracle"
        use postgres && backends="${backends} pgsql"




Reply via email to